{ config, lib, pkgs, inputs, ... }:

let
  inherit (lib) mkEnableOption mkIf readFile;
in
{
  home-manager.users.moritz.programs.nixvim = {
    keymaps = [
      { key = "<esc>"; action = "<cmd>noh<cr><esc>"; options.desc = "Escape and clear hlsearch"; mode = [ "i" "n" ]; }
      { key = "<"; action = "<gv"; options.desc = "Shift left"; mode = [ "v" ]; }
      { key = ">"; action = ">gv"; options.desc = "Shift right"; mode = [ "v" ]; }
      { key = "y"; action = "ygv<esc>"; options.desc = "Yank"; mode = [ "v" ]; }
    ];
  };
}
